<?php

define('PHPWG_ROOT_PATH','../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
include(PHPWG_ROOT_PATH.'include/section_init.inc.php');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_GUEST);

set_make_full_url();

//-------------------------------------------------------------- initialization

// access authorization check
if (isset($page['category']))
{
  check_restrictions($page['category']['id']);
}

$pictures = array();

$selection = $page['items'];
#$selection = array_slice(
#  $page['items'],
#  $page['start'],
#  $page['nb_image_page']
#  );

if (count($selection) > 0)
{
  $query = '
SELECT *
  FROM '.IMAGES_TABLE.'
  WHERE id IN ('.implode(',', $selection).')
;';
  $result = pwg_query($query);
  while ($row = mysql_fetch_assoc($result))
  {
    $row['rank'] = $page['rank_of'][ $row['id'] ];

    array_push($pictures, $row);
  }

  usort($pictures, 'rank_compare');
}

header("Content-Type: application/xml; charset=UTF-8");
echo '<?xml version="1.0" encoding="UTF-8"?>';
?>

<rss version="2.0" xmlns:media="http://search.yahoo.com/mrss">
<channel>
<title></title>
<link></link>
<description></description>
<?php
foreach ($pictures as $row)
{
  $thumbnail_url = get_thumbnail_url($row);

  // link on picture.php page
  $url = duplicate_picture_url(
        array(
          'image_id' => $row['id'],
          'image_file' => $row['file']
        ),
        array('start')
      );

  #$item = new FeedItem();

  #print_r($page);
  echo "<item>\n";
  echo "<title>" . get_thumbnail_title($row) . "</title>\n";
  echo "<link>" . $page['root_path'].$row['path'] . "</link>\n";
  echo "<guid>" . $row['id'] . "</guid>\n";
  echo "<media:thumbnail url=\"" . $thumbnail_url . "\" />\n";
  echo "<media:content url=\"" . $page['root_path'].$row['path'] . "\" type=\"\" />\n";
  echo "</item>\n";
  echo "\n";

}


?>
</channel>
</rss>
